libgtksourceviewmm: gtksourceview::SourceStyle Class Reference

# gtksourceview::SourceStyle Class Reference

`#include <sourcestyle.h>`

List of all members.

## Public Types
typedef SourceStyle | CppObjectType
typedef SourceStyle_Class | CppClassType
typedef GtkSourceStyle | BaseObjectType
typedef GtkSourceStyleClass | BaseClassType
## Public Member Functions
virtual | ~SourceStyle ()
GtkSourceStyle * | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyle * | gobj () const
| Provides access to the underlying C GObject.
GtkSourceStyle * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static GType | get_type () G_GNUC_CONST
static GType | get_base_type () G_GNUC_CONST
## Protected Member Functions
| SourceStyle (const Glib::ConstructParams &construct_params)
| SourceStyle (GtkSourceStyle *castitem)
## Friends
class | SourceStyle_Class
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceStyle > | wrap (GtkSourceStyle *object, bool take_copy=false)

## Member Typedef Documentation

typedef SourceStyle gtksourceview::SourceStyle::CppObjectType

typedef SourceStyle_Class gtksourceview::SourceStyle::CppClassType

typedef GtkSourceStyle gtksourceview::SourceStyle::BaseObjectType

typedef GtkSourceStyleClass gtksourceview::SourceStyle::BaseClassType

## Constructor & Destructor Documentation

gtksourceview::SourceStyle::SourceStyle | ( | const Glib::ConstructParams & | construct_params | ) | `[explicit, protected]`

gtksourceview::SourceStyle::SourceStyle | ( | GtkSourceStyle * | castitem | ) | `[explicit, protected]`

virtual gtksourceview::SourceStyle::~SourceStyle | ( |  | ) | `[virtual]`

## Member Function Documentation

static GType gtksourceview::SourceStyle::get_type | ( |  | ) | `[static]`

static GType gtksourceview::SourceStyle::get_base_type | ( |  | ) | `[static]`

GtkSourceStyle* gtksourceview::SourceStyle::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

const GtkSourceStyle* gtksourceview::SourceStyle::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

GtkSourceStyle* gtksourceview::SourceStyle::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

friend class SourceStyle_Class`[friend]`

Glib::RefPtr< gtksourceview::SourceStyle > wrap | ( | GtkSourceStyle * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- sourcestyle.h